Report.OutputType (Gradle API 7.6.4)

Package org.gradle.api.reporting

## Enum Report.OutputType

- java.lang.Object
- - java.lang.Enum<Report.OutputType>
  - - org.gradle.api.reporting.Report.OutputType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Report.OutputType>`
  Enclosing interface:
    Report

      public static enum Report.OutputType
      extends java.lang.Enum<Report.OutputType>

  The type of output the report produces

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DIRECTORY` | The report outputs files into a directory.
    `FILE` | The report outputs a single file.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Report.OutputType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Report.OutputType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE

          public static final Report.OutputType FILE

      The report outputs a single file.

      That is, the `Report.getOutputLocation()` points to a single file.

    - #### DIRECTORY

          public static final Report.OutputType DIRECTORY

      The report outputs files into a directory.

      That is, the `Report.getOutputLocation()` points to a directory.

  - ### Method Detail

    - #### values

          public static Report.OutputType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Report.OutputType c : Report.OutputType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Report.OutputType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null